<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.chinaweal.aiccs.aiccs.punishment.mapper.PunishmeasuresMapper">

    <!-- 通用查询映射结果 -->
    <resultMap id="BaseResultMap" type="com.chinaweal.aiccs.aiccs.punishment.entity.Punishmeasures">
        <id column="measureId" property="measureId" />
        <result column="measure" property="measure" />
        <result column="punishObject" property="punishObject" />
        <result column="illegalAct" property="illegalAct" />
        <result column="memorandumBase" property="memorandumBase" />
        <result column="department" property="department" />
        <result column="remark" property="remark" />
        <result column="createUserId" property="createUserId" />
        <result column="createTime" property="createTime" />
        <result column="laupTime" property="laupTime" />
        <result column="dState" property="dState" />
        <result column="updateUserId" property="updateUserId" />
        <result column="updateTime" property="updateTime" />
    </resultMap>

    <!-- 通用查询结果列 -->
    <sql id="Base_Column_List">
        measureId, measure, punishObject, illegalAct, memorandumBase, department, remark, createUserId, createTime, laupTime, updateTime, updateUserId, dState
    </sql>

</mapper>
